/* ******************************************** */
/* Standard ddAutoSearchV2                        */
/* ******************************************** */
.ddAutoSearchV2{
    height:31px;
}

/* Søkefelt - ddInput */
.ddAutoSearchV2 .ddInputContainerV2{
    position:relative;
    width:300px;
}

.ddAutoSearchV2 .ddInputSearchV2{
    z-index:1;
    position:relative;
    left:-15px;
    text-indent:26px;
    background-color:#fff;
}

.ddAutoSearchV2 .ddInput{
    width:260px;
}

.ddCellSearch .ddAutoSearchV2 .ddInputContainerV2,
.ddCellSearch .ddAutoSearchV2 .ddInput{
    width:100%;
}

.ddAutoSearchV2 .ddInput:focus{
    border-color:#0e3a2e;
}

/* Knapper - Søk og slett */
.ddAutoSearchV2 .ddSearchButtonV2{
    background-image:url(../../../../shared/content/img/SearchGray.svg);
    background-repeat: no-repeat;
    background-color:transparent;
    cursor: pointer;
    border: none;
    position:relative;
    z-index:2;
    padding:0;
    width:15px;
    height:15px;
    left:6px;
    top:2px;
}

.ddAutoSearchV2 .ddClearButtonV2{
    background-image:url(../../../../shared/content/img/Clear.svg);
    background-repeat: no-repeat;
    background-color:transparent;
    cursor: pointer;
    border: none;
    position:relative;
    z-index:3;
    padding:0;
    width:8px;
    height:8px;
    left:-45px;
    top: 12px;
    float:right;
}

/* Resultatliste */
.ddSearchResultV2 {
    position: absolute;
    z-index: 99; /* kendo window er satt til z-index 98 */
    background-color: #fff;
    float:left;
}

.ddSearchResultV2 table {
	width:auto;
}

.ddSearchResultV2 .k-grid-header {
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -o-user-select: none;
    user-select: none;
}

.ddSearchResultV2 .k-grid-header th {
    cursor:pointer;
}

.ddSearchResultV2 td {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: pointer;
}

.ddSearchResultV2 .k-grid-content {
    background-color: #fff;
}

.ddSearchResultV2 .k-virtual-scrollable-wrap {
    padding-bottom: 10px;
}

/* Knapper i midten */
.ddSearchV2ButtonRow {
    height: 42px;
    width: 99.7%;
    border-left: 1px solid #dbdbdb;
    border-right: 1px solid #dbdbdb;
    border-bottom: 1px solid #dbdbdb;
}

.ddSearchV2CreateButtonContainer,
.ddSearchV2OKButtonContainer,
.ddSearchV2CancelButtonContainer,
.ddSearchV2SelectedButtonContainer {
    float: left;
    margin: 6px 3px 0 3px;
}

.ddSearchV2ButtonRow .k-button {
    min-width: 60px;
}

.ddSearchV2OKButtonContainer .k-button {
    border-color:#0e3a2e;
    color:#fff;
}

/* Vis eller endre valg link */
.ddSearchV2DisplayValue {
    position: relative;
    top: -25px;
    left: 25px;
    width: 218px;
    z-index: 2;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align:left;
}

.ddSearchV2DisplayValueLink{
    text-decoration: underline;
    color: #0e3a2e;
    cursor: pointer;
}

/* Antall valgte (x) */
.ddSearchV2DisplayValueIndicator{
    color: #0e3a2e;
	position: relative;
    top: -25px;
    z-index: 1;
    left: 200px;
}

/* Søkekolonner */
.ddSearchResultV2 th.k-header.ddSearchColumn {
    background-color: #f9f2e4;
    color: #0e3a2e;
    background-image: none;
}

.ddSearchResultV2 .ddSearchColumnIndicator {
    display: inline;
    color: #cecece;
    margin: 0;
    padding-left:3px;
}

.ddSearchResultV2 .ddSearchColumnIndicator:before{
    content: "(";
}

.ddSearchResultV2 .ddSearchColumnIndicator:after{
    content: ")";
}

/* Bold skrift på en enkelt verdi i resultatlista (eks. hovedsone i autosøk Kommune) */
.ddSearchResultV2 .ddSearchV2HighlightValue{
    font-weight:bold;
}

/* Autosøk i tabeller inkl. Konteringsoppsett og tilhørende popup i VB6 */
.gridSearch .ddAutoSearchV2 .ddSearchV2DisplayValue {
    width: 71%;
}

.gridSearch .ddAutoSearchV2 .ddClearButtonV2 {
    left: -34px;
    top: 0;
    float: none;
}
/* Slutt: Autosøk i tabeller inkl. Konteringsoppsett og tilhørende popup i VB6 */



/* ******************************************** */
/* Slutt Standard ddAutoSearchV2                */
/* ******************************************** */




/* *********************************************** */
/*   K O L O N N E B R E D D E R for alle autosøk  */
/* *********************************************** */
.ddSearchResultV2 th.ddColumnWidthCheckbox, /* Checkbox i header i multisøk */
.ddSearchResultV2 td.ddColumnWidthCheckbox /* Checkboxer i rader i multisøk */ {
    -ms-text-overflow: clip; /* for IE */
    text-overflow: initial;
}

.ddSearchResultV2 .ddColumnWidthCountryNr /* Landnr */ {
    width: 20px;
    max-width: 20px;
}

.ddSearchResultV2 .ddColumnWidthNr, /* Nr */
.ddSearchResultV2 .ddColumnWidthLonnsartNr, /* Lønnsartnr */
.ddSearchResultV2 .ddColumnWidthDriftsgreinNr, /* Driftsgreinsnr */
.ddSearchResultV2 .ddColumnWidthUnitCode, /* Enhetskode */
.ddSearchResultV2 .ddColumnWidthZipCode /* Postnr */ {
    width: 55px;
    max-width: 55px;
}

.ddSearchResultV2 .ddColumnWidthProfessionCode, /* Yrkeskode */
.ddSearchResultV2 .ddColumnWidthCustomerNr /* Kundenr */ {
    width: 65px;
    max-width: 65px;
}

.ddSearchResultV2 .ddColumnWidthShow /* Show Document*/ {
    display: flex;
}

.ddSearchResultV2 .ddColumnWidthPrice, /* Pris */
.ddSearchResultV2 .ddColumnWidthType, /* Type */
.ddSearchResultV2 .ddColumnWidthInvoiceNr, /* Fakturanr / Ordrenr */
.ddSearchResultV2 .ddColumnWidthLonnskjoringNr, /* Lønnskjøringnr */
.ddSearchResultV2 .ddColumnWidthLargeNr, /* generell bredde for lange nummerfelt */
.ddSearchResultV2 .ddColumnWidthLonnskjoringStatus, /* Lønnskjøring status */
.ddSearchResultV2 .ddColumnWidthHours, /* Timer - brukt i hvilket søk? */
.ddSearchResultV2 .ddColumnWidthAccountNr, /* Kontonr */
.ddSearchResultV2 .ddColumnWidthSendType /* Årsak til innsending Inntektsmelding */ {
    width: 85px;
    max-width: 85px;
}

.ddSearchResultV2 .ddColumnWidthClientKey, /* Klientinitialer */
.ddSearchResultV2 .ddColumnWidthUnit /* Enhet forkortelse */ {
    width: 95px;
    max-width: 95px;
}

.ddSearchResultV2 .ddColumnWidthSalesNumber, /* Min.salgsantall */
.ddSearchResultV2 .ddColumnWidthLonnskjoringType, /* Lønnskjøring type */
.ddSearchResultV2 .ddColumnWidthInterval, /* Reskontrointervall */
.ddSearchResultV2 .ddColumnWidthLargeCustomerNr, /* Kundenr med større plass for heading */
.ddSearchResultV2 .ddColumnWidthUserInitials, /* Brukerinitialer */
.ddSearchResultV2 .ddColumnWidthOrganizationNr, /* Org.nr */
.ddSearchResultV2 .ddColumnWidthArea, /* Område - brukt i hvilket søk? */
.ddSearchResultV2 .ddColumnWidthBirthNr, /* Fødselsnummer */
.ddSearchResultV2 .ddColumnWidthDate, /* Dato */
.ddSearchResultV2 .ddColumnWidthSum, /* Sum */
.ddSearchResultV2 .ddColumnWidthCountyNr /* Kommunenr */ {
    width: 100px;
    max-width: 100px;
}

.ddSearchResultV2 .ddColumnWidthSupplierNr, /* Leverandørnr */
.ddSearchResultV2 .ddColumnWidthAmeldingID, /* A-meldingID */
.ddSearchResultV2 .ddColumnWidthCarrierNr, /* Nr på fri bærer */
.ddSearchResultV2 .ddColumnWidthEmployeeNr, /* Ansatt nr */
.ddSearchResultV2 .ddColumnWidthProjectNr, /* Prosjektnr */
.ddSearchResultV2 .ddColumnWidthArticleNr, /* Varenummer */ 
.ddSearchResultV2 .ddColumnWidthAltinnRef /* Altinn referansenr */{
    width: 120px;
    max-width: 120px;
}

.ddSearchResultV2 .ddColumnWidthVoucherType, /* Type bilagsart */
.ddSearchResultV2 .ddColumnWidthAccountingType, /* Regnskapstype */
.ddSearchResultV2 .ddColumnWidthTaxCountyNr, /* Skattekommunenr */
.ddSearchResultV2 .ddColumnWidthFarmNr, /* Gårds- og bruksnr */
.ddSearchResultV2 .ddColumnWidthUnitName, /* Enhet navn */
.ddSearchResultV2 .ddColumnWidthContractAmount, /* Kontraktsbeløp prosjekt */
.ddSearchResultV2 .ddColumnWidthLargeDate, /* Dato */
.ddSearchResultV2 .ddColumnWidthCity, /* Postnr/sted */
.ddSearchResultV2 .ddColumnWidthAddress, /* Adresse */
.ddSearchResultV2 .ddColumnWidthAttachment, /* Vedlegg */
.ddSearchResultV2 .ddColumnWidthCustomerGroupName, /* Kundetilknytninger navn */
.ddSearchResultV2 .ddColumnWidthArticleGroupName, /* Varetilknytninger navn */
.ddSearchResultV2 .ddColumnWidthSupplierGroupName, /* Leverandørtilknytninger navn */
.ddSearchResultV2 .ddColumnWidthClientName, /* Klientnavn */
.ddSearchResultV2 .ddColumnWidthArticleType, /* Varetype */
.ddSearchResultV2 .ddColumnWidthInvoiceType, /* Faktura kategori */
.ddSearchResultV2 .ddColumnWidthBenefit, /* Inntektsmelding ytelse */
.ddSearchResultV2 .ddColumnWidthTaxSale /* Avgift ved salg, vare */ {
    width: 150px;
    max-width: 150px;
}

.ddSearchResultV2 .ddColumnWidthLonnskjoringDate /* Div datoer i autosøk Lønnskjøring, stor heading */ {
    width: 170px;
    max-width: 170px;
}

.ddSearchResultV2 .ddColumnWidthName /* Navn */ {
    width: 200px;
    max-width: 200px;
}

.ddSearchResultV2 .ddColumnWidthNameOneColumn /* Navn i enum-autosøk med bare en kolonne i resultatlista */ {
    width: 250px;
    max-width: 250px;
}

.ddSearchResultV2 .ddColumnWidthTax /* Mva */ {
    width:215px;
    max-width:215px;
}

.ddSearchResultV2 .ddColumnWidthAccount, /* Hovedbok i reskontrointervall søk */
.ddSearchResultV2 .ddColumnWidthVoucherTypeName, /* Bilagsartnavn */
.ddSearchResultV2 .ddColumnWidthDescription, /* Beskrivelse */
.ddSearchResultV2 .ddColumnWidthFileName, /* Filnavn på vedlegg */
.ddSearchResultV2 .ddColumnWidthUserName, /* Brukernavn */
.ddSearchResultV2 .ddColumnWidthServiceName, /* Service navn, brukes i hvilket søk? */
.ddSearchResultV2 .ddColumnWidthDeliveryAddress /* Leveringsadresse søk */{
    width: 280px;
    max-width: 280px;
}

.ddSearchResultV2 .ddColumnWidthAccountType, /* Kontotype */
.ddSearchResultV2 .ddColumnWidthCalculationRuleName /* Beregningsregelnavn */ {
    width: 400px;
    max-width: 400px;
}

.ddSearchResultV2 .ddColumnWidthRegisterName /* Kassasystemnavn */ {
    width: 400px;
}

.ddSearchResultV2 .ddColumnWidthSaftCode { /* Saftkode */
    width:500px;
}
/* Slutt: Kolonnebredder for alle autosøk */
/* ************************************** */


/* Temporary CSS for maksimal multi utvalg */
.AutoSearchWarningIcon {
    background-image: url(../../../../shared/content/img/Exclamation.svg);
    background-repeat: no-repeat;
    background-size: contain;
    height: 18px;
    width: 18px;
    background-position: 50% 50%;
}

.autoSearchToolTip {
    pointer-events: none;
}

/* autosearch disabled */
.disabledSearch .ddInputSearchV2 {
    background-color: #f5f6f4;
    cursor:default;
}

.disabledSearch .ddSearchV2DisplayValueLink{
    cursor:default;
    color:#333;
    text-decoration:none;
}

.disabledSearch .ddSearchButtonV2,
.disabledSearch .ddClearButtonV2 {
    cursor: default;
}
/* autosearch disabled */
